timeseries
GET
/rum/{app_id}/timeseries
const url = 'https://api.siteqwality.com/rum/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/timeseries';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.siteqwality.com/rum/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/timeseries \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” app_id
required
string format: uuid
Query Parameters
Section titled “Query Parameters ” from
string
to
string
f
Array<string>
country
string
browser
string
os
string
device_type
string
url
string
device_class
string
desktop, mobile (phone and tablet), or all.
compare
string
previous returns the immediately preceding, non-overlapping period.
interval
string
tz
string
metric
string
Timeseries: sessions, views, errors, sessions_with_errors_pct. Attribution: lcp, inp, cls.
vital
string
route
string
group_by
string
route (default) or path.
limit
integer format: int32
offset
integer format: int32
Responses
Section titled “ Responses ” Media type application/json
Array<object>
object
timestamp
required
string
value
required
number format: double
Example generated
[ { "timestamp": "example", "value": 1 }]Invalid analytics query
Application not found
Query time limit exceeded